Page MenuHomePhabricator

Differentiate between global and other tokens when displaying
Closed, ResolvedPublic

Description

AC

  • on all token pages show globals first, aliases second - under a h2 each

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 3 2020, 4:40 PM
Pablo-WMDE updated the task description. (Show Details)Jul 6 2020, 3:46 PM
Pablo-WMDE updated the task description. (Show Details)Jul 6 2020, 3:51 PM
Pablo-WMDE updated the task description. (Show Details)Jul 6 2020, 3:54 PM

Not sure if this is still a valid task, but it's content as it is now, is covered by https://github.com/wmde/wikit/pull/73

I believe that, when it comes to display/differentiate global and alias tokens when needed (hybrid pages) the current solution (looking at the Chromatic link in #73) does the job, so I would move forward.

I couldn't dedicate time to this, but I originally wanted to explore other visualization alternatives to avoid complicating the hierarchy in some cases (see image). But let this be a potential future improvement based on user feedback and preferences.

While checking this, I detected three unrelated corrections. I'll list them in a comment under the parent task. Hopefully these are quick fixes 🙏🏻

Thanks!

darthmon_wmde closed this task as Resolved.Jul 15 2020, 1:49 PM
darthmon_wmde claimed this task.